[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.DoDragMsg

DoDragMsg generates system message to indicate object and position for dragging and returns Result of action

## Declaration

Source position: comctrls.pp line 2319

`protected function TCustomTreeView.DoDragMsg(`
`ADragMessage: TDragMessage;`
`APosition: TPoint;`
`ADragObject: TDragObject;`
`ATarget: TControl;`
`ADocking: Boolean`
`):LRESULT; override;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.